<%@page import="com.synametrics.wefmanager.bean.JspUtils"%>
<form class="form-horizontal" action="<%=controllerPath%>" method="POST">
    <h2 class="underline-title no-margin-top">Additional Parameters</h2> 
    
    <div class="form-group">
        <label for="publicIPForUrl" class="col-sm-2 control-label">Host name - Internet:</label>
        <div class="col-sm-10">
            <input type="text" class="form-control" name="publicIPForUrl" id="publicIPForUrl" value="<%= request.getAttribute("publicIPForUrl") %>">
	    	<small>Host name used in public links for Internet users. For example: <b>download.yourCompany.com:6060</b>. SynaMan will try to figure out the public IP address of your network if this value is left blank.</small>
        </div>
    </div>
    <div class="form-group">
        <label for="privateIPForUrl" class="col-sm-2 control-label">Host name - Local:</label>
        <div class="col-sm-10">
	    	<input type="text" name="privateIPForUrl" id="privateIPForUrl" class="form-control" value="<%= request.getAttribute("privateIPForUrl")  %>" />
	    	<small>Host name used in public links for local users. For example: <b>server1:6060</b>. SynaMan will use the local IP address in the URL if this value is left blank.</small>
        </div>
    </div>

	<div class="form-group">
        <label for="httpIP" class="col-sm-2 control-label">Binding IP:</label>
        <div class="col-sm-10">
		    <select name="httpIP" id="httpIP" class="form-control"> <%= request.getAttribute("httpIP") %> </select>
		    <small>If you have multiple IP addresses, select a desired IP address SynaMan's HTTP server binds to.</small>
        </div>
    </div>
		
	<div class="form-group">
        <label for="userRoot" class="col-sm-2 control-label">User Home Root:</label>	   
        <div class="col-sm-10">
	    	<input type="text" name="userRoot" id="userRoot" class="form-control" value="<%= request.getAttribute("userRoot")  %>" />
	    	<small>A folder is automatically created under this path when a new user is encountered, representing the home folder for this user. <a href="http://web.synametrics.com/SynaManHomeFolder.htm" target="_blank">More info...</a></small>
        </div> 	
    </div>
    
    <div class="form-group">
        <div class="col-sm-offset-2 col-sm-10">
            <div class="checkbox">
                <label for="useSSLForPublicLinks" class="labelCheckbox"><input type="checkbox" name="useSSLForPublicLinks" id="useSSLForPublicLinks" class="inputCheckbox" value="1" <%=request.getAttribute("useSSLForPublicLinks") %> /> Use SSL for public links</label>
                <br><small>If checked, HTTPS will be used for public links. This option has no effect if HTTPS is <a href="<%=response.encodeURL("app?operation=config&st=main#tab3") %>">not configured</a>.</small>
            </div>
        </div>
    </div> 
	 
	<div class="form-group">
        <div class="col-sm-offset-2 col-sm-10">
            <div class="checkbox">
	        <label for="enablePublicLinks" class="labelCheckbox"><input type="checkbox" name="enablePublicLinks" id="enablePublicLinks" class="inputCheckbox" value="1" <%=request.getAttribute("enablePublicLinks") %> /> Enable public links</label>
	        <br><small><a href="http://web.synametrics.com/synamanpubliclinks.htm" target="_blank">Public links</a> 
	        are disabled if this option is not checked. <a href="<%=response.encodeURL("app?operation=aconfig&st=showPlex") %>" 
	            title="Click here to manage users for whom this rule does not apply">Manage exceptions</a></small>
	        </div>
    	</div>
    </div> 
    
    <div class="form-group">
        <div class="col-sm-offset-2 col-sm-10">
            <div class="checkbox">
	        <label for="prompt4UserInfo" class="labelCheckbox"><input type="checkbox" name="prompt4UserInfo" id="prompt4UserInfo" class="inputCheckbox" value="1" <%=request.getAttribute("prompt4UserInfo") %> /> Prompt for user information</label>
	        <br><small>If checked, the system will prompt for user information before letting them upload/download files using public link</small>
	        </div>
    	</div>
    </div> 
    
    
	  
	<div class="form-group">
        <div class="col-sm-offset-2 col-sm-10">
            <div class="checkbox">
        <label for="allowBrowserSwitching" class="labelCheckbox"><input type="checkbox" name="allowBrowserSwitching" id="allowBrowserSwitching" class="inputCheckbox" value="1" <%=request.getAttribute("allowBrowserSwitching") %> /> Allow browser switching</label>
        <br><small>If checked, users will be able to switch between Enhanced and AJAX browsers. Applicable in Enterprise edition only</small>
    </div>
</div>
    </div> 

    <div class="form-group">
        <div class="col-sm-offset-2 col-sm-10">
            <div class="checkbox">
        <label for="enableNotes" class="labelCheckbox"><input type="checkbox" name="enableNotes" id="enableNotes" class="inputCheckbox" value="1" <%=request.getAttribute("enableNotes") %> /> Enable Notes</label>
        <br><small>Descriptive notes can be associated with files when this option is enabled</small>
    </div>
</div>
    </div> 
    
    <div class="form-group">
        <div class="col-sm-offset-2 col-sm-10">
            <div class="checkbox">
        <label for="enableDnd4Uploads" class="labelCheckbox"><input type="checkbox" name="enableDnd4Uploads" id="enableDnd4Uploads" class="inputCheckbox" value="1" <%=request.getAttribute("enableDnd4Uploads") %> /> Enable Drag-n-Drop for uploads</label>
        <br><small>If checked, drag-n-drop is enabled. Disable this feature if your clients are using an older browser that does not support HTML 5</small>
    </div>
    </div>
    </div> 
    
    
    
    <div class="form-group">
        <div class="col-sm-offset-2 col-sm-10">
            <div class="checkbox">
        		<label for="overwriteExistingFilesWhenUploading" class="labelCheckbox"><input type="checkbox" name="overwriteExistingFilesWhenUploading" id="overwriteExistingFilesWhenUploading" class="inputCheckbox" value="1" <%=request.getAttribute("overwriteExistingFilesWhenUploading") %> /> Overwrite Uploaded Files</label>
        		<br><small>If checked, uploaded files will overwrite existing files. Otherwise, the newly uploaded files will be renamed by appending YYYYMMDD_hhmmss.milli.</small>
       	 	</div>
    	</div>
    </div> 
    
    <div class="form-group">
        <div class="col-sm-offset-2 col-sm-10">
            <div class="checkbox">
        		<label for="allowCheckout" class="labelCheckbox"><input type="checkbox" name="allowCheckout" id="allowCheckout" class="inputCheckbox" value="1" <%=request.getAttribute("allowCheckout") %> /> Allow Files Checkout</label>
        		<br><small>If checked, users will be able to lock certain files from getting modified by other users. 
        		<a href="http://web.synametrics.com/SynaMan-checkout.htm">Click here</a> for details.</small>
       	 	</div>
    	</div>
    </div> 
    
    <div class="form-group">
        <div class="col-sm-offset-2 col-sm-10">
            <div class="checkbox">
        		<label for="autoUpdate" class="labelCheckbox"><input type="checkbox" name="autoUpdate" id="autoUpdate" class="inputCheckbox" value="1" <%=request.getAttribute("autoUpdate") %> /> Auto Update</label>
        		<br><small>Automatically update SynaMan when a newer version is found.</small>
       	 	</div>
    	</div>
    </div> 
    
    <div class="form-group">
        <div class="col-sm-offset-2 col-sm-10">
            <div class="checkbox">
        		<label for="autoRestart" class="labelCheckbox"><input type="checkbox" name="autoRestart" id="autoRestart" class="inputCheckbox" value="1" <%=request.getAttribute("autoRestart") %> /> Auto Restart</label>
        		<br><small>Automatically restart SynaMan after renewing SSL certificate from Let's Encrypt.</small>
       	 	</div>
    	</div>
    </div> 
    
     
    <div class="form-group">
        <div class="col-sm-offset-2 col-sm-10">
            <div class="checkbox">
	        	<label for="allowSubDirs4PublicFolders" class="labelCheckbox"><input type="checkbox" name="allowSubDirs4PublicFolders" id="allowSubDirs4PublicFolders" class="inputCheckbox" value="1" <%=request.getAttribute("allowSubDirs4PublicFolders") %> /> Allow sub-directories for public folders</label>
	        	<br><small>If checked, users will be able to access sub-directories for folders marked as Public-Read or Public-Write</small>
      		</div>
    	</div>  
    </div>
   
    <div class="form-group">
        <div class="col-sm-offset-2 col-sm-10">
            <div class="checkbox">
		        <label for="showIntroVideo" class="labelCheckbox"><input type="checkbox" name="showIntroVideo" id="showIntroVideo" class="inputCheckbox" value="1" <%=request.getAttribute("showIntroVideo") %> /> Show Introduction Video</label>
		        <br><small>If checked, users will be prompted to watch an <a href="<%= new JspUtils().getUrlForTutorialVideo() %>" target="_blank">introduction video.</a></small>
    		</div>
        </div>
    </div>
    
    <div class="form-group">
        <div class="col-sm-offset-2 col-sm-10">
            <div class="checkbox">
		        <label for="showTOS" class="labelCheckbox"><input type="checkbox" name="showTOS" id="showTOS" class="inputCheckbox" value="1" <%=request.getAttribute("showTOS") %> /> Show Terms of Service</label>
		        <br><small>If checked, <b>Terms of Service</b> page is displayed when they first login. <a href="https://web.synametrics.com/synaman-tos-for-users.htm" target="_blank">Details...</a></small>
	        </div>
        </div>
    </div>
     
    
    

     
     
    <div class="form-group">
        <div class="col-sm-offset-2 col-sm-10">
            <button type="submit" name="proceedButton" id="proceedButton" class="btn btn-primary">Apply</button>
        </div>
    </div>

<input type="hidden" name="operation" value="saveap">
<input type="hidden" name="st" value="save">


</form>

