<%@ include file="Header.jsp" %>

<h3>Antivirus Configuration</h3>



<%
if(request.getAttribute("errorMsg") != null){
	%>
	<div class="alert alert-danger"><h4>Error</h4><%= request.getAttribute("errorMsg") %></div>
	<%
}

if(request.getAttribute("infoMsg") != null){
	%>
	<div class="alert alert-success"><%= request.getAttribute("infoMsg") %></div>
	<%
}
%>

Configuration on this page enables administrators to integrate third-party antivirus software that are triggered when files are uploaded. 


<form action="<%=controllerPath%>" method="post">

	<div class="row">
		<div class="col-md-8">
		
			<h3>Antivirus Types</h3>
			
			<!-- Nav tabs -->
			<ul class="nav nav-tabs">
				<li class="active"><a href="#clamav" data-toggle="tab">ClamAV</a></li>
				<li><a href="#cmdLine" data-toggle="tab">Command Line</a></li>
				<li><a href="#icap" data-toggle="tab">ICAP Servers</a></li>
			</ul>
					
			
			
			<!-- Tab panes -->
			<div class="tab-content">
				<div class="tab-pane active" id="clamav">
					<h3>ClamAV Configuration</h3>
					<div class="form-group">
					<label class="checkbox-inline">
		                <input type="checkbox" id="cavEnabled" value="1" name="cavEnabled"
		                <%= request.getAttribute("cavEnabled") != null && request.getAttribute("cavEnabled").equals("true") ? " checked " : "" %>
		                > Enabled
		            </label>
		            </div>
		            
		            <div class="form-group">
					    <label for="cavHostName">Host Name</label>
					    <input type="text" class="form-control" id="cavHostName" name="cavHostName" placeholder="IP/Host name for ClamAV server"
					    value="<%= request.getAttribute("cavHostName") %>"
					    >
					</div>
		                                
		            <div class="form-group">
					    <label for="cavPort">Port</label>
					    <input type="number" class="form-control" id="cavPort" name="cavPort" placeholder="Default is 3310"
					    value="<%= request.getAttribute("cavPort") %>">
					</div>                    
		                                
		                                        
				</div>
				<div class="tab-pane" id="cmdLine">
					<h3>Command Line Scanners</h3>
					
					<div class="form-group">
					<label class="checkbox-inline">
		                <input type="checkbox" id="cmdEnabled" value="1" name="cmdEnabled"
		                <%= request.getAttribute("cmdEnabled") != null && request.getAttribute("cmdEnabled").equals("true") ? " checked " : "" %>
		                > Enabled
		            </label>
		            </div>
		            
		            <div class="form-group">
					    <label for="cmdVendor">Vendor Name</label>
					    <input type="text" class="form-control" id="cmdVendor" name="cmdVendor" placeholder="Example, MS Defender, McAfee, Kespersky, etc"
					    value="<%= request.getAttribute("cmdVendor") %>"
					    >
					</div>
		                                
		            <div class="form-group">
					    <label for="cmdPath">Exe Path</label>
					    <input type="text" class="form-control" id="cmdPath" name="cmdPath" placeholder="Absolute path for the scanner executible"
					    value="<%= request.getAttribute("cmdPath") %>"
					    >
					</div>  
					
					<div class="form-group">
					    <label for="cmdResultRegex">Search Pattern</label>
					    <input type="text" class="form-control" id="cmdResultRegex" name="cmdResultRegex" placeholder="Regular expression to search in result"
					    value="<%= request.getAttribute("cmdResultRegex") %>"
					    >
					</div>  
					
					<div class="row">
						<div class="col-md-6">
							<div class="form-group">
							    <label for="cmdArgs">Arguments</label>
							    <textarea class="form-control" rows="6" name="cmdArgs"><%= request.getAttribute("cmdArgs") %></textarea><br>
							    
							</div>  
						</div>
						<div class="col-md-6">
							<p>Specify a single argument per line.</p> 
							<p>Use <code>$SINGLE_FILE</code> to represent the path for the file. This is a mandatory field.</p>
						</div>
					</div>
					
					
					
				</div>
				<div class="tab-pane" id="icap">
					<h3>ICAP Servers</h3>
					
					<div class="form-group">
					<label class="checkbox-inline">
		                <input type="checkbox" id="icapEnabled" value="1" name="icapEnabled"
		                <%= request.getAttribute("icapEnabled") != null && request.getAttribute("icapEnabled").equals("true") ? " checked " : "" %>
		                > Enabled
		            </label>
		            </div>
		            
		            <div class="form-group">
					    <label for="icapServiceName">Service Name</label>
					    <input type="text" class="form-control" id="icapServiceName" name="icapServiceName" placeholder="Service name for your ICAP server"
					    value="<%= request.getAttribute("icapServiceName") %>"
					    >
					</div>
					
					
		            <div class="form-group">
					    <label for="icapHost">Server Host/IP</label>
					    <input type="text" class="form-control" id="icapHost" name="icapHost" placeholder="Host name/IP address of your ICAP server"
					    value="<%= request.getAttribute("icapHost") %>"
					    >
					</div>
		                                
		            <div class="form-group">
					    <label for="icapPort">TCP/IP Port</label>
					    <input type="number" class="form-control" id="icapPort" name="icapPort" placeholder="TCP/IP port for the ICAP server"
					    value="<%= request.getAttribute("icapPort") %>"
					    >
					</div>  
					
					
				</div>
				
			</div>	
		</div>
		
		
		
		<div class="col-md-4">
			<h3>Additional Parameters</h3>
			
			<div class="form-group">
		        <label for="maxScanSize">Maximum Size</label>
		        <input type="text" class="form-control" id="maxScanSize" name="maxScanSize"
					    value="<%= request.getAttribute("maxScanSize") %>"
					    >
		    </div>
	    
	    	<div class="form-group">
				<label class="checkbox-inline">
		            <input type="checkbox" id="delInfected" value="1" name="delInfected" 
		            <%= request.getAttribute("delInfected").equals("true") ? " checked='checked' " : "" %>
		            title="Infected files will be deleted vs file is renamed with .harmful extension"> Delete Infected Files
		        </label>
	        </div>
	        
	        <div class="form-group">
			    <button type="submit" class="btn btn-primary">Save Settings</button>
			</div>
		
			<br><br>
			
			
		</div>
	</div>
	
	<input type="hidden" name="operation" value="avc">
	<input type="hidden" name="st" value="svav">
	
                                
</form>

<%
if(request.getAttribute("atLeastOneEnabled").equals("true")){
%>
<br><br>

<div class="panel panel-default">
	<div class="panel-body">
		<div class="row">
			<div class="col-md-3">
				<button id="testBtn" class="btn btn-warning" title="Click to test connectivity">Test Connectivity</button><br><br>
				
			</div>
			<div class="col-md-9"><div id="testResult"></div></div>
		</div>
		
		<script>
			$("#testBtn").on("click", function(){
				$("#testResult").load("app?operation=avc&st=rt");
			});
		</script>
	</div>
</div>
<%} %>

<%@ include file="Footer.jsp" %>