



<form action="<%=controllerPath%>" method="POST" class="form-horizontal">
	
	<h2 class="underline-title no-margin-top">Basic configuration</h2>
	<div class="well well-sm">
		<b>IMPORTANT: </b> Any changes to these settings will cause SynaMan to restart.
	</div>

	<H4>HTTP Port</H4>
	<P class="last">
		SynaMan contains a built-in web server. Users connect to this web server to upload and download files. This web server can listen 
		on two TCP/IP ports: primary and secondary. Additionally, you can also install an SSL certificate to make the connections secure. 
	</P>


	<div class="form-group">
		<label for="httpPort" class="col-sm-5 control-label">Primary HTTP Port:</label>
		<div class="col-sm-7">	
			<input type="number" name="httpPort" id="httpPort" class="form-control" value="<%= request.getAttribute("httpPort") == null ? "" : request.getAttribute("httpPort") %>" />
			<small>TCP/IP port for the built-in HTTP server. We recommend you use port 80 for this value, unless some other web server is being used on the machine.</small>
		</div>		
	</div>

	<div class="form-group">
		<label for="httpPort2" class="col-sm-5 control-label">Secondary HTTP Port:</label>		
		<div class="col-sm-7">
			<input type="number" name="httpPort2" id="httpPort2" class="form-control" value="<%= request.getAttribute("httpPort2") == null ? "" : request.getAttribute("httpPort2") %>" />
			<small>TCP/IP port for the secondary HTTP server. A value greater than 0 for this field will cause SynaMan to listen to another TCP/IP port.</small>
		</div>
	</div>
	
	<div class="form-group">
		<label for="httpPortSSL" class="col-sm-5 control-label">Secure HTTP Port:</label>
		<div class="col-sm-7">
			<input type="number" name="httpPortSSL" id="httpPortSSL" class="form-control" value="<%= request.getAttribute("httpPortSSL") == null ? "" : request.getAttribute("httpPortSSL") %>" />
			<small>TCP/IP port for secure HTTP server (SSL). <a href="<%=response.encodeURL("app?operation=synSSL") %>">Click here</a> to install an SSL certificate.</small>
		</div>
	</div>

	<div class="form-group">
		<div class="col-sm-offset-4 col-sm-8">
			<div class="checkbox">
			<label for="forceHTTPS"  class="labelCheckbox"><input type="checkbox" name="forceHTTPS" value="true" id="forceHTTPS" class="inputCheckbox" <%= request.getAttribute("forceHTTPS") == null ? "" : request.getAttribute("forceHTTPS") %> /> Force HTTPS</label>
			<br><small>If checked, users will be redirected to use HTTPS if trying to connect using HTTP.</small>
			</div>
		</div>
	</div>
	
	
	<%
	if(request.getAttribute("fipsTBC") != null && request.getAttribute("fipsTBC").equals("true-1")){
		%>
		<div class="col-sm-offset-4 col-sm-8">
		<div class="alert alert-info"><h4>Note:</h4>FIPS 140-2 is enabled. <a href="https://web.synametrics.com/fips-140-2-compliant-file-sharing.htm" target="_blank">Click here</a> for details.</div>
		</div>
		<%
	}else if(request.getAttribute("fipsTBC") != null && request.getAttribute("fipsTBC").equals("true-2")){
		%>
		<div class="col-sm-offset-4 col-sm-8">
		<div class="alert alert-danger"><h4>Note:</h4>FIPS 140-2 is enabled but the correct libraries are not found. Contact support. <a href="https://web.synametrics.com/fips-140-2-compliant-file-sharing.htm" target="_blank">Click here</a> for details.</div>
		</div>
		<%
	}else if(request.getAttribute("fipsTBC") != null && request.getAttribute("fipsTBC").equals("true-0")){
		%>
		<div class="col-sm-offset-4 col-sm-8">
		<div class="alert alert-danger"><h4>Note:</h4>FIPS 140-2 is enabled but BC libraries are not found. Contact support. <a href="https://web.synametrics.com/fips-140-2-compliant-file-sharing.htm" target="_blank">Click here</a> for details.</div>
		</div>
		<%
	}else{
	%>
		<div class="form-group">
			<div class="col-sm-offset-4 col-sm-8">
				<div class="checkbox">
				<label for="fips"  class="labelCheckbox"><input type="checkbox" name="fips" value="true" id="fips" class="inputCheckbox" <%= request.getAttribute("fips") == null ? "" : request.getAttribute("fips") %> /> Restrict SSL ciphers to FIPS 140-2</label>
				<br><small>If checked, non FIPS 140-2 compliant SSL ciphers will be disabled.</small>
				</div>
			</div>
		</div>
	<%} %>
	
	<%
	//UPnP is deprecated. Therefore, do not allow users to enable it if it is already disabled.
	if( request.getAttribute("useUPnP") != null && request.getAttribute("useUPnP").toString().length() > 0){
	%>
	<div class="form-group">
		<div class="col-sm-offset-4 col-sm-8">
			<div class="checkbox">
			<label for="useUPnP"  class="labelCheckbox"><input type="checkbox" name="useUPnP" value="true" id="useUPnP" class="inputCheckbox" <%= request.getAttribute("useUPnP") == null ? "" : request.getAttribute("useUPnP") %> /> Use UPnP</label>
			<br><small>If checked, SynaMan will automatically attempt to configure your network firewall, provided 
			<a href="http://web.synametrics.com/SynaManUPnP.htm" target="_blank">UPNP (Universal Plug-n-Play)</a> is supported</small>
			</div>
		</div>	
	</div>
	<%} %>
	
	
	<div class="form-group">
		<div class="col-sm-offset-4 col-sm-8">
			<button type="submit" name="proceedButton" id="proceedButton" class="btn btn-primary">Save</button>
		</div>
	</div>

	<input type="hidden" name="operation" value="config" />
	<input type="hidden" name="st" value="saveBasic" />

</form>

