<%@page import="java.util.List"%>
<%@ include file="Header.jsp" %>


<%
boolean isBlockedByIP = !request.getAttribute("blockType").toString().equalsIgnoreCase("Users");

if(isBlockedByIP){
	%>
	<h1>Blocked IP Addresses</h1>
	<p>There are two reasons why SynaMan could block an IP address:
	
	<ol>
		<li>Too many incorrect userid/password combination are received from an IP.</li>
		<li>Unexpected HTTP requests are received phishing for vulnerabilities.</li>
	</ol>
	</p>
	
	<p>
	No one will be
	able to connect to SynaMan from a blocked IP address even if they use correct credentials. 
	Blocked ip addresses are automatically cleared after <%= System.getProperty("ip.lockout.time", "10") %> minutes.
	</p>
	
	
	
	<h2>Blocked IP due to incorrect user id/password</h2>
	
	<%
}else{
	%>
	<h2>Blocked Users</h2>
	<p>Users could get blocked if too many invalid login credentials are submitted. A blocked user will not be able to connect even if they 
	provide correct password. Blocked users are automatically cleared after <%= System.getProperty("userid.lockout.time", "10") %> minutes.</p>
	<%
}
%>




<%
List<String[]> blip = (List<String[]>) request.getAttribute("blip");

if(blip.size() == 0){
	
	if(isBlockedByIP){
		%>
		<p><div class="alert alert-warning">No IP addresses are currently blocked.</div></p>
		<%
	}else{
		%>
		<p><div class="alert alert-warning">No users are currently blocked.</div></p>
		<%
	}
}else{
	%>
	
	<table class="table table-bordered table-condensed">
		<thead>
		<tr>
			<th><%= request.getAttribute("blockType") %></th>
			<th>First Attempt</th>
			<th>Last Attempt</th>
			<th>Total Attempts</th>
			<th>Action</th>
		</tr>
		</thead>
		
		<%
		for(String[] oneRec : blip){
			%>
			<tr>
				<td><%=oneRec[0] %></td>
				<td><%=oneRec[1] %></td>
				<td><%=oneRec[2] %></td>
				<td><%=oneRec[3] %></td>
				<td><a href="<%=response.encodeURL("app?operation=config&st=remip&ip=" + oneRec[0] )%>">Remove</a></td>
				
			</tr>
			<%
		}
		%>
	</table>
	
	<%
}
%>




<%
if(isBlockedByIP){
	%>
	<h2>Blocked IP due to unexpected requests</h2>
	<%
	List<String[]> buggers = (List<String[]>) request.getAttribute("buggers");
	
	if(buggers.size() == 0){
		%>
		<p>
		<div class="alert alert-warning">No IP addresses are currently blocked.</div></p>
		<%
	}else{
		%>
		
		<table class="table table-bordered table-condensed">
			<thead>
			<tr>
				<th>IP Address</th>
				<th>First Attempt</th>
				<th>Last Attempt</th>
				<th>Total Attempts</th>
				<th>Action</th>
			</tr>
			</thead>
			
			<%
			for(String[] oneRec : buggers){
				%>
				<tr>
					<td><%=oneRec[0] %></td>
					<td><%=oneRec[1] %></td>
					<td><%=oneRec[2] %></td>
					<td><%=oneRec[3] %></td>
					<td><a href="<%=response.encodeURL("app?operation=config&st=remipb&ip=" + oneRec[0] )%>">Remove</a></td>
					
				</tr>
				<%
			}
			%>
		</table>
		
		<%
	}
}
%>

<%@ include file="Footer.jsp" %>