<%@page import="com.synametrics.wefmanager.bean.PublicIPHostBean"%>


<%@ include file="Header.jsp" %>


<%
	String errorMessage = (String)request.getAttribute("errorMessage");
	if(errorMessage != null){
		out.println("<div class='alert alert-danger'>" + errorMessage + "</div>");
	}
	%>
	
	<div class="row">
	
	

	<div class="col-md-6" id="primaryContent_2columns">
	<div id="columnA_2columns">
	


	<div class="panel panel-primary animated fadeInUp animation-delay-6">
	    <div class="panel-heading">
	        <h3 class="panel-title">Before you get started...</h3>
	    </div>
	    <div class="panel-body">
	    	<h4>What Is Let's Encrypt</h4>
	        <p>
	        Let's Encrypt is a free SSL certificate authorization that is increasingly becoming popular and accepted by most modern browsers.
	        These certificates are valid for 90 days and must be renewed periodically. 
	        </p>
	        
	        <h4>How It Works</h4>
	        <p>
	        Let's Encrypt needs to confirm your server's identify before issuing a certificate. This step is called challenge. You have one of two options:
	        </p>
	        
	        <br />
			
			<div class="well">
			   <h5><b>Option 1 - HTTP</b> (Recommended)</h5>
			        <p>This option requires you have a web server running on port 80. This can either be SynaMan or any other server, such as IIS or Apache. </p>
			        
			        <div class="alert alert-info">
					    <strong>TIP:</strong> If you're planning to configure SynaMan to listen on port 80, configure that prior to configuring the SSL certificate.
					</div>        
			</div>
			
			<div class="well">
			   <h5><b>Option 2 - DNS</b></h5>
			        <p>This option requires you to add a TXT record in your DNS server. This TXT record must be modified once every 90 days with the new certificate. 
			        Since this method requires updating DNS periodically, <b>Option 1</b> is preferred.  </p>
			</div>
	        
	    </div>
	</div>
	
	


	</div>
	</div>
	
	<div class="col-md-6" id="secondaryContent_2columns">
		<div id="columnC_2columns">
			
			<div class="panel panel-primary animated fadeInUp animation-delay-6">
			    <div class="panel-heading">
			        <h3 class="panel-title">Setup Let's Encrypt Certificate</h3>
			    </div>
			    <div class="panel-body">
			        
			        <form action="<%=controllerPath%>" method="POST" class="form-horizontal">
			        	
			        	<%
			        	String defaultHostName = (String) request.getAttribute("lastHostName");
			        	String fqdnIfMissing = defaultHostName;
			        	if(defaultHostName == null){
			        		com.synametrics.wefmanager.bean.PublicIPHostBean ipInfo = new PublicIPHostBean();
			        		fqdnIfMissing = ipInfo.isPublicHostAvailable() ? ipInfo.getFQDN() : "files.yourhostname.com";
							defaultHostName = ipInfo.isPublicHostAvailable() ? ipInfo.getFQDN() : "";
			        	}
						%>
			
						<h4>Let's Encrypt Certificate Wizard</h4>
						
						<p class="last">
							This wizard will help you to get SSL Certificate from Let's Encrypt and integrate it with SynaMan. 
						</p>
					<br />
					
						<div class="form-group">
							<label for="hostName" class="col-sm-3 control-label">Host Name:</label>
							<div class="col-sm-8">	
								<input type="text" name="hostName" id="hostName" class="form-control" value="<%= defaultHostName%>" placeholder="Eg. mail.yourFQDN.com" required>
								<small>SSL certificates are tied to host names. Specify the host name that will be used to issue the certificate.</small>
							</div>		
						</div>
					
						<div class="form-group">
							<label for="leChallengeType" class="col-sm-3 control-label">Challenge Type:</label>		
							<div class="col-sm-8">
								
								<select id="leChallengeType" class="form-control form-right pull-left wth-5" name="challengeType">
									<option value="self">HTTP - Using Synaman</option>
									<option value="other">HTTP - Other</option>
									<option value="dns">DNS</option>
								</select>
								
								<div class="desc">
									<div id="synaman80" class="dropcontent"> <br><br>
										<div class="well">
										<% 
										
										int port80Status = com.synametrics.wefmanager.bean.GenericBean.getStatusForPort80();
											
										if(port80Status == 2){
										%>
											SynaMan is listening on port 80. It is recommended you select this option. Let's Encrypt will send an HTTP request to 
											<code>http://<%=fqdnIfMissing %></code> to validate this server belongs to you and SynaMan will answer this request
											automatically.
										<%
										}else if(port80Status == 1){
											%>
											Although SynaMan is configured to listen on port 80, the server is not listening. Make sure to restart SynaMan after changing to 
											port. Additionally, ensure no other process is listening on this port.
											
											<br><br><b>Come back this page once SynaMan is successfully listening on port 80.</b>
											<%
										}else{
											%>
											<a href="<%=response.encodeURL("app?operation=config&st=main") %>">Click here</a> to configure SynaMan so it listens on port 80.
											
											<br><br><b>Come back this page once SynaMan is successfully listening on port 80.</b>
											<%	
										}
										%>
										</div>
									</div>
			
									<div id="other80" class="dropcontent"><br><br>
										<div class="well">
										SynaMan will have to copy necessary files to the root of this server. Specify the path referring to the root folder of that
										server. 
										<br><br>
										Let's Encrypt will send an HTTP request to 
											<code>http://<%=fqdnIfMissing %></code> to validate this server belongs to you. SynaMan will copy necessary files to the 
											location specified below so the response to Let's Encrypt challenge is successful.
										
										<br style="clear:both;">
										<br />
										<div class="form-group" style="margin-left: -140px">
											<label for="hostName" class="col-sm-3 control-label">Root Path:</label>
											<div class="col-sm-9">	
												<input type="text" name="copyPath" id="copyPath" class="form-control"
												value="<%= request.getAttribute("wrPath") != null ? request.getAttribute("wrPath") : "" %>"
												>
												<small>Path referring to the root directory of the web server.</small>
											</div>		
										</div>
								
								
										</div>
									</div>
			
								<div id="dnsLookup" class="dropcontent"><br><br>
									<div class="well">
									You will have to periodically update the DNS server in order for the certificate to work. You will see the actual value for the TXT record
									on the following screens.
									</div>
								</div>
								
							</div>
								
								
								
								
								<!-- <div class="well well-sm" id="chk-srv">
									<b>IMPORTANT: </b> Any changes to these settings will cause SynaMan to restart.
								</div>-->
							</div>
						</div>
						
						<div class="form-group">
							<div class="col-sm-offset-3 col-sm-8">
								<div class="checkbox">
								<label for="testCert" class="labelCheckbox"><input type="checkbox" name="staging" value="1" id="testCert" class="inputCheckbox"> Test Certificate</label>
								<br><small>Check this box if you have never issued a certificate before. When this is checked, SynaMan will perform every task required to issue the certificate but the certificate won't be trusted.
								<br />	<br />			
								Refer to <a href="https://letsencrypt.org/docs/staging-environment/" target="_blank">https://letsencrypt.org/docs/staging-environment/</a> for details..</small>
								</div>
							</div>
						</div>
						
					
						<div class="form-group">
							<div class="col-sm-offset-4 col-sm-8">
								<button type="submit" name="proceedButton" id="proceedButton" class="btn btn-primary">Save</button>
							</div>
						</div>
					
						<input type="hidden" name="operation" value="synSSL">
						<input type="hidden" name="st" value="verifyInput">
					
					
					</form>
			        
			    </div>
			</div>
			
		</div>
	</div>
	
</div>

<%@ include file="Footer.jsp" %>
	
	