
<%@page import="java.util.*, com.synametrics.wefmanager.users.*"%>
<%@ include file="Header.jsp" %>

<div class="row">
	<div class="col-md-12 section-title">
		<h2 style="margin:0;display: inline-block;"><i style="font-size:50px" class="fa fa-users"></i> System Users</h2> 
		<div class="pull-right">
			<a class="btn btn-primary" href="<%=response.encodeURL("app?operation=mngFolders") %>"><i class="fa fa-folder-open"></i> Manage Shared Folders</a> 
			<a class="btn btn-primary" href="<%=response.encodeURL("app?operation=mngUsers&st=quota") %>"><i class="glyphicon glyphicon-stats"></i> Manage Quotas</a>
		</div>
	</div>
</div>


<div class="syn_tilegray">
	<div class="pull-left">
		<a class="btn btn-primary" href="<%=response.encodeURL("app?operation=mngUsers&st=addUser") %>" title="Click here to add a new user" onclick="return hs.htmlExpand(this, { objectType: 'iframe'})"><i class="fa fa-user-plus"></i> Add a new user</a>
		<a class="btn btn-primary" href="<%=response.encodeURL("app?operation=invite") %>" title="Invite users to create account">Invite users</a>
	</div>
	<div class="pull-right">
	    <form action="<%=controllerPath%>" method="POST">
	    Filter: <input type="text" value="<%=request.getAttribute("filter") == null ? "" : request.getAttribute("filter")  %>" name="filter" size="10" >
	    <input type="hidden" name="operation" value="mngUsers">
	    </form>
	</div>
	
	<div class="clearfix"></div>
</div>


<%

String errorMessage = (String)request.getAttribute("errorMessage");
if(errorMessage != null){
	out.println("<div class='alert alert-danger'>" + errorMessage + "</div><br><br>");
}


List<UserHolder> users = (List<UserHolder>) request.getAttribute("users");

if(users != null && users.size() > 0){
%>
<table class="table table-striped animated bounceInUp animation-delay-3" width="100%">
	<thead>
		<tr>
			<th>User's login</th>
			<th>Full name</th>
			<%if(request.getAttribute("dispL2fa") != null && request.getAttribute("dispL2fa").equals("1")){ %>
			<th title="2 Factor Authentication">2FA</th>
			<%} %>
			<th>Shared folders</th>
			<th>Action</th>
		</tr>
	</thead>
		<%		
		String userStyle = "";
		for(int i = 0; i < users.size(); i++){
			if(!users.get(i).matches((String)request.getAttribute("filter"))){
				continue;
			}
		%>
		<tr>
			<td>
			<span style="color:#00708c;"><i class="glyphicon glyphicon-user" title="Last logged on: <%= users.get(i).getLastAccessedStr() %>"></i></span> 
			
			<%
			
			int staleStyle = users.get(i).getStaleStatus();
			if(staleStyle == 0){
				//Not logged in yet
				userStyle = "style='color: #999999;'";
			}else if(staleStyle == 2){
				//Stale
				userStyle = "style='color: #b03a2e;'";
			}else if(staleStyle == 1){
				//Normal
				userStyle = "";
			}else{
				//Error
				userStyle = "style='color: #3498db;'";
			}
			%>
			
			<span <%=userStyle %> ><%=users.get(i).getLogin() %></span>
			
			<span class="pull-right">
			<%
			if(users.get(i).isHfEncrypted()){
				%>
				<a href="<%=response.encodeURL("app?operation=mngUsers&st=encryptEF&login=" + users.get(i).getLogin()) %>" title="Validate and encrypt files"><span style="color:#00708c;"><i class="glyphicon glyphicon-lock"></i></span></a>
				<%
			}else{
				%>
				<span style="color:#dcdcdc;" title="Home folder is not encrypted"><i class="glyphicon glyphicon-lock"></i></span>
				<%
			}
			

			if(users.get(i).isRecyclingBinEnabled()){
				%>
				<a href="<%=response.encodeURL("app?operation=mngUsers&st=vrb&login=" + users.get(i).getLogin()) %>" title="View files that were deleted from this user's home folder and now reside in Recycle Bin"><span style="color:#00708c;"><i class="glyphicon glyphicon-share"></i></span></a>
				<%
			}else{
				%>
				<span style="color:#dcdcdc;" title="Recycling bin is not enabled" ><i class="glyphicon glyphicon-share"></i></span>
				<%
			}
			%>
			</span>
			
			</td>
			<td><%=users.get(i).getFullNameNeverBlank() %></td>
			
			<%if(request.getAttribute("dispL2fa") != null && request.getAttribute("dispL2fa").equals("1")){ %>
			<td>
				<%
				
				if(users.get(i).getTFAStatusInt() == 0){
					%>
					<img src="images/2faD.png" title="2-Factor Authentication is not being used by this user.">
					<%
				}else if(users.get(i).getTFAStatusInt() == -1){
					%>
					<a href="<%=response.encodeURL("app?operation=mngUsers&st=e2fa") %>&ul=<%=users.get(i).getLogin()%>" title="Click re-enable 2-Factor Authentication">
					<img src="images/2faT.png";
					</a>
					<%
				}else{
					%>
					<a href="<%=response.encodeURL("app?operation=mngUsers&st=d2fa") %>&ul=<%=users.get(i).getLogin()%>" title="Click to temporarily disable 2-Factor Authentication for this user ">
					<img src="images/2faE.png";
					</a>
					<%
					
				}
				%>
			
			</td>
			<%} %>
			<td><%=users.get(i).getFolderMappingForHtml(response) %></td>
			<td>
				
				<a href="<%=response.encodeURL("app?operation=mngUsers&st=addFolderToUser") %>&ul=<%=users.get(i).getLogin()%>" title="Associate a shared folder with this user." onclick="return hs.htmlExpand(this, { objectType: 'iframe'})">Add folder</a> |
				
				<%if(users.get(i).getLevel() == 2){
					%>
					Modify | Remove | Login URL
					<%
				}else{%>
				<a href="<%=response.encodeURL("app?operation=mngUsers&st=modifyUser") %>&ul=<%=users.get(i).getLogin()%>" title="Modify password or email address for the user" onclick="return hs.htmlExpand(this, { objectType: 'iframe'})">Modify</a> |
				<a href="<%=response.encodeURL("app?operation=mngUsers&st=removeUser") %>&ul=<%=users.get(i).getLogin()%>" 
					title="Permanently remove <%=users.get(i).getLogin()%>"
					onclick="javascript:return confirm('This will permanantly remove <%=users.get(i).getLogin()%>. Are you sure?')"
					>Remove</a> |
				<a href="<%=response.encodeURL("app?operation=mngUsers&st=loginUrl") %>&ul=<%=users.get(i).getLogin()%>" title="Login URL for <%=users.get(i).getLogin() %>" onclick="return hs.htmlExpand(this, { objectType: 'iframe'})">Login URL</a>
				
				<%} %>
				
			</td>
		</tr>
		
		<%			
		}
		%>
		
	</table>
<%	
}
%>
<%@ include file="Footer.jsp" %>