<%@page import="com.synametrics.wefmanager.bean.CifsInfoHolderBean"%>
<%@page import="java.util.List, com.synametrics.wefmanager.users.*"%>
<%@ include file="Header.jsp" %>

<%
boolean isWin = request.getAttribute("os").equals("windows");
boolean isLinux = request.getAttribute("os").equals("linux");

%>
<h1>SMB File Shares <small><%= isWin ? "Mapped" : "Mounted" %> Drives</small></h1>


<%
String errorMsg = (String) request.getAttribute("errorMsg");
if(errorMsg != null){
	%>
	<div class="alert alert-danger"><h3>Error</h3><%=errorMsg %></div>
	<%
}

String infoMsg = (String) request.getAttribute("infoMsg");
if(infoMsg != null){
	%>
	<div class="alert alert-info"><%=infoMsg %></div>
	<%
}


%>
<div class="row">
	<div class="col-md-7">
		<h2>Add a New <%= isWin ? "Mapped" : "Mounted" %> Drive</h2>
		<div class="well">
			<form action="<%=controllerPath%>" method="POST"  class="form-horizontal">
			
				
				<div class="form-group">
					<label class="col-sm-3 control-label" for="friendlyName">Friendly Name:</label>
					<div class="col-sm-9"> 
						<input type="text" name="friendlyName" id="friendlyName" class="form-control" 
						value="<%= errorMsg == null ? "" :  request.getParameter("friendlyName") %>" required />
					</div>
				</div>
				
				
				
				<!-- Mount/Mapped drive -->
				<%
				if(isWin){
				%>
				<div class="form-group">
					<label class="col-sm-3 control-label" for="mountToPath">Map To:</label>
					<div class="col-sm-2"> 
						
						<select class="form-control" name="mountToPath">
							<%
							List<String> availableLetters = (List<String>) request.getAttribute("availableLetters");
							for(String oneLetter : availableLetters){
								%>
								<option value="<%=oneLetter %>:"><%= oneLetter %>:</option>
								<%
							}
							%>
						</select>
					</div>
				</div>
				<%
				}else{
				%>
				<div class="form-group">
					<label class="col-sm-3 control-label" for="mountToPath">Mount On:</label>
					<div class="col-sm-9"> 
						<input type="text" name="mountToPath" id="mountToPath" class="form-control" 
						value="<%= errorMsg == null ? "" :  request.getParameter("mountToPath") %>" required />
					</div>
				</div>
				<%
				}
				%>
				
				
				
				
				
				
				
				<div class="form-group">
					<label class="col-sm-3 control-label" for="hostName">Shared Path:</label>
					<div class="col-sm-9"> 
						<input type="text" name="hostName" id="hostName" class="form-control" 
						value="<%= errorMsg == null ? "" :  request.getParameter("hostName") %>" placeholder="For eg. \\your.server\sharedFolderName"  required />
					</div>
				</div>
				
				
				
				
				
				<%if(isLinux){
					%>
				<div class="form-group">
					<label class="col-sm-3 control-label" for="fileSystemType">File System:</label>
					<div class="col-sm-9"> 
						<input type="text" name="fileSystemType" id="fileSystemType" class="form-control" 
						value="<%= errorMsg == null ? "" :  request.getParameter("fileSystemType") %>" placeholder="For eg. cifs, ntfs, ext3, ext4, etc..."  required />
					</div>
				</div>
				
				<div class="form-group">
					<label class="col-sm-3 control-label" for="mountOptions">Options:</label>
					<div class="col-sm-9"> 
						<input type="text" name="mountOptions" id="mountOptions" class="form-control" 
						value="<%= errorMsg == null ? "" :  request.getParameter("mountOptions") %>" placeholder="Comma separated mounting options" />
					</div>
				</div>
				
				
					
					<%
				}%>
				
				<div class="form-group">
					<label class="col-sm-3 control-label" for="userID">User ID:</label>
					<div class="col-sm-9"> 
						<input type="text" name="userID" id="userID" class="form-control" 
						value="<%= errorMsg == null ? "" :  request.getParameter("userID") %>"  required />
					</div>
				</div>
				
				<div class="form-group">
					<label class="col-sm-3 control-label" for="password">Password:</label>
					<div class="col-sm-9"> 
						<input type="password" name="password" id="password" class="form-control" 
						value="<%= errorMsg == null ? "" :  request.getParameter("password") %>"  required />
					</div>
				</div>
				
				<div class="form-group">
				    <div class="col-sm-offset-3 col-sm-9">
				      <button type="submit" class="btn btn-primary">Create</button>
				    </div>
			  	</div>
	  
	  
	  			<input type="hidden" name="operation" value="mounts">
	  			<input type="hidden" name="st" value="add">
	  			
			</form>
		</div>
		
	</div>
</div>
<%
List<CifsInfoHolderBean> holders = (List<CifsInfoHolderBean>) request.getAttribute("holders");
if(holders != null && holders.size() > 0){
	
	%>
	<h2>Existing maps</h2>
	<table class="table table-bordered table-hover">
		<tr>
			<th>Friendly Name</th>
			<th>Mounted On</th>
			<th>Remote Path</th>
			<%if(isLinux){
				%><th>File System</th><%
			} %>
			<th>User ID</th>
			<th>State</th>
			<th>Action</th>
		</tr>
		<%
		int index = 0;
		for(CifsInfoHolderBean oneHolder : holders){
			%>
			<tr>
				<td><%= oneHolder.getFriendlyName() %></td>
				<td><%= oneHolder.getMountToPath() %></td>
				<td><%= oneHolder.getHostName() %></td>
				<%if(isLinux){
				%><th><%= oneHolder.getFileSystemType() %></th><%
				} %>
				<td><%= oneHolder.getUserID() %></td>
				<td><% if(oneHolder.isMountedCorrectly()){
						%><i class="fa fa-thumbs-up" style="color:green"></i> <abbr title="This drive letter is mapped">Up</abbr><%
					}else{
						%><i class="fa fa-thumbs-down" style="color:red"> <abbr title="This drive letter is NOT mapped">Down</abbr></i>
						  <span class="pull-right"><a href="<%=response.encodeURL("app?operation=mounts&st=rc&i=" + index) %>" title="Reconnect"><i class="glyphicon glyphicon-refresh"></i> </a></span>
						<%
					}
					%></td>
				<td><a href="<%=response.encodeURL("app?operation=mounts&st=remove&fn=" + oneHolder.getFriendlyName())%>"
				onclick="javascript:return confirm('This will delete mapping and virtual folders referring to this path will no longer work. Are you sure?')">Remove</a></td>
				
			</tr>
			<%
			
			index++;
		}
		%>
	</table>
	<%
}
%>


<%@ include file="Footer.jsp" %>
