<%@ include file="Header.jsp" %>

<h2 class="underline-title no-margin-top">License Options</h2> 

<section>

	<div class="row">
        <div class="col-md-6">
           <div class="panel panel-primary animated fadeInDown">
                <div class="panel-heading">License Count and Frequency</div>
                <div class="panel-body">
                
                	<table class="table table-condensed table-bordered">
                		
                		
                		<tr>
                			<th>Current User Count:</th>
                			<td><%= request.getAttribute("uc") %></td>
                		</tr>
                		
                		<tr>
                			<th>Auto Renewal:</th>
                			<td><%= request.getAttribute("autorenew").equals("true") ? "Yes" : "No" %></td>
                		</tr>
                		
                		<tr>
                			<th>Current Expiration Date:</th>
                			<td><%= request.getAttribute("expStr") %></td>
                		</tr>
                		
                		
                	</table>
                	
                	
                    <form role="form" action="<%=controllerPath%>" method="POST">
                    
                    	<div class="row">
                    	
                    		<div class="col-md-6">
		                        <div class="form-group">
		                            <label for="freq">Frequency</label>
		                      
		                            <select id="freq" name="freq" class="form-control">
		                            	<option value="M" <%= request.getAttribute("freqM") %> >Monthly</option>
		                            	<option value="Y" <%= request.getAttribute("freqY") %> >Yearly - with 1 month free</option>
		                            </select>
		                        </div>
	                        </div>
	                        
	                        <div class="col-md-6">
		                        <div class="form-group">
		                            <label for="uc">New  User Count</label>
		                            <input type="number" name="uc" class="form-control" id="uc" min="1" value="<%= request.getAttribute("uc")%>"  required>
		                        </div>
	                        </div>
                   		</div>
                   		
                   		
                        <div class="row">
                            <div class="col-md-4">
                                <label class="checkbox-inline">
                                    <input type="checkbox" id="autoRenew" name="autoRenew" value="1" <%= request.getAttribute("autorenew").equals("true") ? "checked='checked'" : "" %>> Auto Renew.
                                </label>
                            </div>
                           
                            <div class="col-md-4 col-md-offset-4">
                                <button type="submit" name="btnOption" class="btn btn-primary" value="saveAndRenew">Proceed</button>
                            </div>
                        </div>
                        
                        <input type="hidden" name="ptype" value="subs">
                        <input type="hidden" name="operation" value="buy"> 
                        <input type="hidden" name="st" value="saveOptions">
                        
                    </form>
                    
                    <p><br><br>
                    <b>What will be my next renewal date? </b><br>
                    <%
                    int daysToExp = ((Integer) request.getAttribute("daysToExp")).intValue();
                            		
                    if((Boolean)request.getAttribute("up4Renewal")){
						%>
                    	Your renewal date will be <%= request.getAttribute("expStr") %> plus one month/year, depending upon what you select above.
                    	<%
                    }else{
                    	%>
                    	Your renewal date will NOT change if your new user count is higher than <%= request.getAttribute("uc") %>. Otherwise, it 
                    	will expire on <%= request.getAttribute("expStr") %> <b>plus</b> one month/year, depending upon what you select above.
                    	<%
                    }
                    %>
                    </p>
                </div>
            </div>
        </div>
      
		<div class="col-md-6">
			<div class="panel panel-success animated fadeInDown">
                <div class="panel-heading">Auto Renew</div>
                <div class="panel-body">
                    If checked, your subscription will renew automatically at the end of your term. 
                    
                    <ul>
                    	<li>Support will be renewed a few days before it actually expires</li>
                    	<li>Email will be sent to <code><%= request.getAttribute("adminEmail") %></code> with status or if the renewal runs into errors</li>
                    	<li>A purchase receipt will be emailed</li>
                    </ul>
                </div>
            </div>
            
     
            <div class="alert alert-success">
            <h4>Important</h4>
            No Credit Card information is saved on any Synametrics' servers. Instead, it will be saved in <code>$INSTALL_DIR\config\PaymentInfo.xml</code> file on the machine
            where SynaMan is running.</h4>
            </div>
		</div>
        
    </div> <!-- row -->

</section>






<%@ include file="Footer.jsp" %>