<%@page import="com.synametrics.wefmanager.bean.RbSummaryBean"%>
<%@page import="java.util.List"%>
<%@ include file="Header.jsp" %>
<!-- 
<%=response.encodeURL("app?operation=suppr&jp=true") %>
 -->

<%
if(request.getAttribute("errorMsg") != null){
	%>
	<div class="alert alert-danger"><h4>Error</h4><%= request.getAttribute("errorMsg") %></div>
	<%
}

if(request.getAttribute("infoMsg") != null){
	%>
	<div class="alert alert-success"><%= request.getAttribute("infoMsg") %></div>
	<%
}
%>


<div class="row">
	<div class="col-md-6">
		<div class="panel panel-default">
		  <div class="panel-body">
		  
				<form class="form-horizontal">
				
				  <div class="form-group">
				    <label for="rbpath" class="col-sm-3 control-label">Path</label>
				    <div class="col-sm-9">
				      <input type="text" class="form-control" name="rbpath" id="rbpath" 
				      title="Path where files in recycle bin are stored" 
				      required
				      placeholder="Use absolute path" value="<%= request.getAttribute("rbpath") %>">
				    </div>
				  </div>
				  
				  <div class="form-group">
				    <label for="rbtd" class="col-sm-3 control-label">Retention Days</label>
				    <div class="col-sm-3">
				      <input type="number" class="form-control" name="rbtd" id="rbtd" 
				      title="Number of days to retain deleted files. The system will permanantly delete them after this many days." 
				      required
				      value="<%= request.getAttribute("rbtd")%>">

				    </div>
				    <div class="col-sm-6"></div>
				    
				  </div>
				  
				  <div class="form-group">
				    <label for="rbmx" class="col-sm-3 control-label">Max Size</label>
				    <div class="col-sm-3">
				      <input type="text" class="form-control" name="rbmx" id="rbmx" 
				      title="Files larger than this value will not be saved in recycle bin. Instead, they will be deleted right away." 
				      required
				      value="<%= request.getAttribute("rbmx")%>">

				    </div>
				    <div class="col-sm-6"></div>
				    
				  </div>
				  
				  <div class="form-group">
				    <div class="col-sm-offset-3 col-sm-9">
				      <div class="checkbox">
				        <label>
				          <input type="checkbox" name="rbcomp" <%= request.getAttribute("rbcomp") %>
				          title="Deleted files will be compressed in Recycle Bin to save disk space when this option is checked."
				          > Use Compression
				        </label>
				      </div>
				    </div>
				  </div>
				  
				  <div class="form-group">
				    <div class="col-sm-offset-3 col-sm-9">
				      <div class="checkbox">
				        <label>
				          <input type="checkbox" name="rbabort" <%= request.getAttribute("rbabort") %>
				          title="A deletion request is aborted if an error occurs while copying the file to Recycle Bin if this is checked."
				          > Abort deletion upon error
				        </label>
				      </div>
				    </div>
				  </div>
				  
				  <div class="form-group">
				    <div class="col-sm-offset-3 col-sm-9">
				      <button type="submit" class="btn btn-primary">Save</button>
				    </div>
				  </div>
				  
				  <input type="hidden" name="operation" value="rbc">
				  <input type="hidden" name="st" value="save">
				  
				</form>
		  </div>
		</div>
	</div>
	
	<div class="col-md-3 col-md-offset-3">
		<h4>Single-Click Enabling</h4>
		<p  class="text-justify">
		Use the following buttons to enable the <b>Recycle Bin</b> for every folder and/or the home folder of every user in a single click.
		</p>
		<br><br>
		<div class="row">
			<div class="col-md-4 col-md-offset-1">
				<a href="<%=response.encodeURL("app?operation=rbc&st=eu") %>" title="Enable Recycle Bin for every folder on the system in a single click"><button class="btn btn-primary">Every User</button></a>
			</div>
			
			<div class="col-md-4 col-md-offset-1">
			<a href="<%=response.encodeURL("app?operation=rbc&st=ef") %>" title="Enable Recycle Bin for the home folder of every user in the system"><button class="btn btn-primary">Every Folder</button></a>
			</div>
		</div>
	</div>
	
	
</div>

<%
int totalEntriesForTop = Integer.parseInt((String) request.getAttribute("totalEntriesForTop"));
%>
<h2>Top <%= totalEntriesForTop %> Users and Folders</h2>

<div class="row">
	<div class="col-md-6">
		<table class="table table-condensed table-hover table-bordered">
			<thead>
				<tr>
					<th>Top Users</th>
					<th>Disk Consumed</th>
				</tr>
			</thead>
			
			<%
			List<RbSummaryBean> topUsers = (List<RbSummaryBean>) request.getAttribute("topUsers");
			for(int i = 0; i < totalEntriesForTop; i++){
				if(i >= topUsers.size()){
					break;
				}
				
				
				RbSummaryBean aBean = topUsers.get(i);
				%>
				<tr>
					<td><%= aBean.getName() %> 
						<span class="pull-right"><a href="<%=response.encodeURL(aBean.getViewAnchor()) %>" 
						title="View files"><i class="glyphicon glyphicon-search"> </i></a></span>
					</td>
					<td><%= aBean.getTotalSizeStr() %></td>
				</tr>
				<%
			}
			%>
			
		</table>
	</div>
	<div class="col-md-6">
		<table class="table table-condensed table-hover table-bordered">
			<thead>
				<tr>
					<th>Top Folders</th>
					<th>Disk Consumed</th>
				</tr>
			</thead>
			
			<%
			List<RbSummaryBean> topFolders = (List<RbSummaryBean>) request.getAttribute("topFolders");
			for(int i = 0; i < totalEntriesForTop; i++){
				
				if(i >= topFolders.size()){
					break;
				}
				
				RbSummaryBean aBean = topFolders.get(i);
				%>
				<tr>
					<td><%= aBean.getName() %>
						<span class="pull-right"><a href="<%=response.encodeURL(aBean.getViewAnchor()) %>" 
						title="View files"><i class="glyphicon glyphicon-search"> </i></a></span>
					</td>
					<td><%= aBean.getTotalSizeStr() %></td>
				</tr>
				<%
			}
			%>
			
		</table>
	</div>
	
</div>

<%@ include file="Footer.jsp" %>