<%
if(com.synametrics.wefmanager.bean.Rv.iv(request)) return;




%>


<form action="<%=controllerPath%>" class="form-horizontal" method="POST">
<h2 class="underline-title no-margin-top">Security Configuration</h2>


<div class="form-group">
	<label class="col-sm-4 control-label" for="adminPassword">Admin User:</label>
	<div class="col-md-8">	
		<input type="text" name="adminUserName" id="adminUserName" class="form-control" value="<%= request.getAttribute("adminUserName") == null ? "" : request.getAttribute("adminUserName") %>" />
		<small>Login ID used for administrative functions.</small>
	</div>		
</div>

<div class="form-group">
	<label class="col-sm-4 control-label" for="adminPassword">Admin Password:</label>
	<div class="col-md-8">	
		<input type="password" name="adminPassword" id="adminPassword" class="form-control" autocomplete="off"
		value="<%= request.getAttribute("adminPassword") == null ? "" : request.getAttribute("adminPassword") %>" />
		<small>Specify a new password for the <b>admin</b> account or leave it blank to keep the existing password.</small>
	</div>		
</div>

<div class="form-group">
	<label class="col-sm-4 control-label" for="hextension">Harmful Extensions:</label>
	<div class="col-md-8">	
		
		<select name="heAction" id="heAction" class="form-control"> 
			<option value="0" <%= request.getAttribute("heAction0") %> >No Action</option>
			<option value="1" <%= request.getAttribute("heAction1") %> >Rename To TXT</option>
			<option value="2" <%= request.getAttribute("heAction2") %> >Deny Upload</option>
			
		</select>
		
		<small>Action performed when potentially harmful files are uploaded. <a href="<%=response.encodeURL("app?operation=aconfig&st=hfext") %>">Click here</a> to configure extensions</small>
	</div>		
</div>


<div class="form-group">
	<label class="col-sm-4 control-label" for="passexp">Password Expiration:</label>
	<div class="col-md-8">	
		<input type="number" name="passexp" id="passexp" class="form-control" value="<%= request.getAttribute("passexp") == null ? "0" : request.getAttribute("passexp") %>" required />
		<small>Expiration days for password. Users will be forced to change their passwords after expiration. 0 means passwords will never expire</small>
	</div>		
</div>



<div class="form-group">
	<div class="col-sm-offset-4 col-sm-8">
		<div class="checkbox">
			<label for="disableCsrf"><input type="checkbox" name="disableCsrf" value="true" id="disableCsrf" <%= request.getAttribute("disableCsrf") == null ? "" : request.getAttribute("disableCsrf") %> /> Disable CSRF prevention. </label>
			<br><small>If checked, CSRF attacks are no longer prevented. <a href="http://web.synametrics.com/SynaMan-CSRF.htm">Click here</a> for details. <b>(Requires restart)</b>.</small>
		</div>
	</div>
</div>

<div class="form-group">
	<div class="col-sm-offset-4 col-sm-8">
		<div class="checkbox">
			<label for="restrictAdminToLocalhost"><input type="checkbox" name="restrictAdminToLocalhost" value="true" id="restrictAdminToLocalhost" <%= request.getAttribute("restrictAdminToLocalhost") == null ? "" : request.getAttribute("restrictAdminToLocalhost") %> /> Restrict admin to localhost</label>
			<br><small>If checked, no one will be able to connect from a remote machine using the <b>admin</b> account.</small>
		</div>
	</div>
</div>

<div class="form-group">
	<div class="col-sm-offset-4 col-sm-8">
		<div class="checkbox">
			<label for="alert4adminLogin"><input type="checkbox" name="alert4adminLogin" value="true" id="alert4adminLogin" <%= request.getAttribute("alert4adminLogin") == null ? "" : request.getAttribute("alert4adminLogin") %> /> Send Email Alert When Admin Logs in</label>
			<br><small>If checked, email alert is generated when an <b>admin</b> logs in from a <u>new device</u>.</small>
		</div>
	</div>
</div>




<div class="form-group">
	<div class="col-sm-offset-4 col-sm-8">
		<div class="checkbox">
			<label for="denyLoginsFromTor"><input type="checkbox" name="denyLoginsFromTor" value="true" id="denyLoginsFromTor" <%= request.getAttribute("denyLoginsFromTor") == null ? "" : request.getAttribute("denyLoginsFromTor") %> title="<%= request.getAttribute("fna") %>" /> Deny access from Tor nodes</label>
			<br><small>If checked, clients connecting from <a href="http://web.synametrics.com/deny-tor.htm" target="_blank">Tor Nodes</a> will be denied</small>
		</div>
	</div>
</div>

<div class="form-group">
	<div class="col-sm-offset-4 col-sm-8">
		<div class="checkbox">
			<label for="allowMappedDrives"><input type="checkbox" name="allowMappedDrives" value="true" id="allowMappedDrives" <%= request.getAttribute("allowMappedDrives") == null ? "" : request.getAttribute("allowMappedDrives") %> <%= (request.getAttribute("2faD") != null && request.getAttribute("2faD").equals("1")) ? " disabled " : "" %>  title="<%= request.getAttribute("fna") %>" /> Allow mapped drives <b>(Requires Restart)</b></label>
			<br><small>If checked, mapping remote drives is permitted on desktops. <a href="http://web.synametrics.com/synaman-mapped-drives.htm" target="_blank">Details...</a> </small>
		</div>
	</div>
</div>


<div class="form-group">
	<div class="col-sm-offset-4 col-sm-8">
		<div class="checkbox">
			<label for="forcePwdChange"><input type="checkbox" name="forcePwdChange" value="true" id="forcePwdChange" <%= request.getAttribute("forcePwdChange") == null ? "" : request.getAttribute("forcePwdChange") %> /> Force new users to change password</label>
			<br><small>If checked, new users will be forced to change their password. Does not apply to users that come from Active Directory/LDAP.</small>
		</div>
	</div>
</div>


<div class="form-group">
	<div class="col-sm-offset-4 col-sm-8">
		<div class="checkbox">
			<label for="tfaMandatory"><input type="checkbox" name="tfaMandatory" value="true" id="tfaMandatory" <%= request.getAttribute("tfaMandatory") == null ? "" : request.getAttribute("tfaMandatory") %> <%= (request.getAttribute("2faD") != null && request.getAttribute("2faD").equals("1")) ? " disabled " : "" %> /> Mandatory 2FA</label>
			<br><small>If checked, users will be forced to use 2-Factor Authentication.</small>
		</div>
	</div>
</div>

<div class="form-group">
	<div class="col-sm-offset-4 col-sm-8">
		<div class="checkbox">
			<label for="totpIsDefault2fa"><input type="checkbox" name="totpIsDefault2fa" value="true" id="totpIsDefault2fa" 
			<%= request.getAttribute("totpIsDefault2fa") == null ? "" : request.getAttribute("totpIsDefault2fa") %> <%= (request.getAttribute("2faD") != null && request.getAttribute("2faD").equals("1")) ? " disabled " : "" %> /> Use TOTP As Default 2FA</label>
			<br><small>If checked, TOTP is used for default 2FA authentication mechanism rather than email. User will be asked to scan a QR code when they first login.</small>
		</div>
	</div>
</div>




<div class="form-group">
	<div class="col-sm-offset-4 col-sm-8">
		<div class="checkbox">
			<label for="reqTls12"><input type="checkbox" name="reqTls12" value="true" id="reqTls12" <%= request.getAttribute("reqTls12") == null ? "" : request.getAttribute("reqTls12") %> /> Require TLS 1.2</label>
			<br><small>If checked, users will be forced to use TLS 1.2.</small>
		</div>
	</div>
</div>




<div class="form-group">
	<div class="col-sm-offset-4 col-sm-8">
		<div class="checkbox">
			<label for="pblPwdMandatory"><input type="checkbox" name="pblPwdMandatory" value="true" id="pblPwdMandatory" <%= request.getAttribute("pblPwdMandatory") == null ? "" : request.getAttribute("pblPwdMandatory") %> /> Mandatory Passwords For Public Links</label>
			<br><small>If checked, passwords will be required for Public Links.</small>
		</div>
	</div>
</div>


<div class="form-group">
	<div class="col-sm-offset-4 col-sm-8">
		<div class="checkbox">
			<label for="allowBrowsersToSaveCredentials"><input type="checkbox" name="allowBrowsersToSaveCredentials" value="true" id="allowBrowsersToSaveCredentials" <%= request.getAttribute("allowBrowsersToSaveCredentials") == null ? "" : request.getAttribute("allowBrowsersToSaveCredentials") %> /> Save credentials</label>
			<br><small>If not checked, browsers won't save user id and passwords.</small>
		</div>
	</div>
</div>

<div class="form-group">
	<div class="col-sm-offset-4 col-sm-8">
		<div class="checkbox">
			<label for="arEncryption"><input type="checkbox" name="arEncryption" value="true" id="arEncryption" <%= request.getAttribute("arEncryption") == null ? "" : request.getAttribute("arEncryption") %> /> At-Rest Encryption</label>
			<br><small><b>DO NOT</b> use this feature until you fully understand its implications. <a href="http://web.synametrics.com/synaman-at-rest-encryption.htm" target="_blank">Click here for details.</a></small>
		</div>
	</div>
</div>




<h2 class="underline-title no-margin-top">Alerts</h2>

<div class="well well-sm">
Alerts are generated by the system when a violation is detected. Select the type of alerts you wish to receive.
</div>

<div class="form-group">
	<div class="col-sm-offset-4 col-sm-8">
		<div class="checkbox">
			<label for="alertInvalidPassword"><input type="checkbox" name="alertInvalidPassword" id="alertInvalidPassword" value="true" title="An alert is generated if someone tries to specify an incorrect password more than 3 times." <%= request.getAttribute("alertInvalidPassword") == null ? "" : request.getAttribute("alertInvalidPassword") %> /> Incorrect password attempts</label>
		</div>
	</div>
	
	<div class="col-sm-offset-4 col-sm-8">
		<div class="checkbox">
			<label for="alertManualPath"><input type="checkbox" name="alertManualPath" id="alertManualPath" value="true" title="An alert is generated when a tricky path is specified manually" <%= request.getAttribute("alertManualPath") == null ? "" : request.getAttribute("alertManualPath") %> /> Tricky path</label>	
		</div>
	</div>
	<div class="col-sm-offset-4 col-sm-8">
		<div class="checkbox">
				<label for="alertWriteToReadOnly"><input type="checkbox" name="alertWriteToReadOnly" id="alertWriteToReadOnly" value="true" title="An alert is generated when someone tries to write to a read-only folder" <%= request.getAttribute("alertWriteToReadOnly") == null ? "" : request.getAttribute("alertWriteToReadOnly") %> /> Write to read-only</label>
		</div>
	</div>
	<div class="col-sm-offset-4 col-sm-8">
		<div class="checkbox">
				<label for="alertReadFromWriteOnly"><input type="checkbox" name="alertReadFromWriteOnly" id="alertReadFromWriteOnly" value="true" title="An alert is generated when someone tries to download a file that is marked for write-only" <%= request.getAttribute("alertReadFromWriteOnly") == null ? "" : request.getAttribute("alertReadFromWriteOnly") %> /> Download from write-only</label>	
		</div>
	</div>
	
	
	<div class="col-sm-offset-4 col-sm-8">
		<div class="checkbox">
			<label for="blockIP"><input type="checkbox" name="blockIP" id="blockIP" value="true" 
			title="Temporarily block an IP address if more than 5 incorrect passwords are submitted from the same IP." 
			<%= request.getAttribute("blockIP") == null ? "" : request.getAttribute("blockIP") %> /> Block IP address</label>
			<span class="pull-right"><span class="btn btn-sm btn-default"><a href="<%=response.encodeURL("app?operation=config&st=showBlip") %>">View Blocked IPs</a></span></span>
		</div>
	</div>
	
	<div class="col-sm-offset-4 col-sm-8">
		<div class="checkbox">
			<label for="blockUser"><input type="checkbox" name="blockUser" id="blockUser" value="true" 
			title="Temporarily block a user if more than 5 attempts are made with incorrect password." 
			<%= request.getAttribute("blockUser") == null ? "" : request.getAttribute("blockUser") %> /> Block User</label>
			<span class="pull-right"><span class="btn btn-sm btn-default"><a href="<%=response.encodeURL("app?operation=config&st=showBlus") %>">View Blocked Users</a></span></span>
		</div>
	</div>
	
	
</div>
<div class="form-group">
	<div class="col-sm-offset-5 col-sm-7">
		<button type="submit" name="proceedButton" id="proceedButton" class="btn btn-primary">Save</button>
	</div>
</div> 


<input type="hidden" name="operation" value="config" />
<input type="hidden" name="st" value="saveSecurity" />

</form>

