<%
if(com.synametrics.wefmanager.bean.Rv.iv(request)) return;
%>

<form action="<%=controllerPath%>" method="POST" class="form-horizontal">

<h2 class="underline-title no-margin-top">Email Configuration</h2> 
<h4>When are emails sent?</h4>
<div class="well well-sm">
	Emails are generated by the system in the following cases:
	<br>
	<b>&#8212;</b> When a user forgets his/her password and submit a request retrieve it via email.<br>
	<b>&#8212;</b> When a security violation occurs. You can setup security alerts under security tab.<br>
	<b>&#8212;</b> When upload or download notification rules are specified on a folder.
</div>
 

<div class="form-group">
	<label for="adminEmail" class="col-sm-5 control-label">Administrator's Email:</label>
	<div class="col-md-7">
		<input type="text" name="adminEmail" id="adminEmail" class="form-control" value="<%= request.getAttribute("adminEmail") == null ? "" : request.getAttribute("adminEmail") %>" />
		<small>Email address of the administrator. It is very important to specify this value correctly.</small>
	</div>
</div>

<div class="form-group">
	<label class="col-sm-5 control-label" for="inboundSmtpPortSSL">Use admin as sender</label> 
	<div class="col-sm-7"> 
		<label for="useAdminAsSender"><input type="checkbox" name="useAdminAsSender" value="true" id="useAdminAsSender" class="inputCheckbox" <%= request.getAttribute("useAdminAsSender") == null ? "" : request.getAttribute("useAdminAsSender") %> /></label>
		<small>DO NOT check this field until you have <a href="http://web.synametrics.com/SynaMan-use-admin-as-sender.htm" target="_blank">read and understood</a> what this means.</small>
	</div>
</div>

<div class="form-group">
	<label for="smtpServer" class="col-sm-5 control-label">SMTP Server:</label>	
	<div class="col-md-7">
	<input type="text" name="smtpServer" id="smtpServer" class="form-control" value="<%= request.getAttribute("smtpServer") == null ? "" : request.getAttribute("smtpServer") %>" />
	<small>SMTP server is form-group for out-bound emails. <a href="http://web.synametrics.com/SynaManSmtpHelp.htm" target="_blank">Click here</a> for help.</small>
	</div>
</div>

<div class="form-group">
	<label for="smtpPort" class="col-sm-5 control-label">SMTP Server Port:</label>
	<div class="col-md-7">
	<input type="text" name="smtpPort" id="smtpPort" class="form-control" value="<%= request.getAttribute("smtpPort") == null ? "" : request.getAttribute("smtpPort") %>" />
	<small>TCP/IP port for the SMTP server. The default value for this parameter is 25.</small>
	</div>
</div>

<div class="form-group">
	<label for="smtpUser" class="col-sm-5 control-label">SMTP User:</label>	
	<div class="col-md-7">
	<input type="text" name="smtpUser" id="smtpUser" class="form-control" value="<%= request.getAttribute("smtpUser") == null ? "" : request.getAttribute("smtpUser") %>" />
	<small>Specify a user name for SMTP authentication. Leave it blank if authentication is not form-group</small>
	</div>
</div>

<div class="form-group">
	<label for="smtpPassword" class="col-sm-5 control-label">SMTP Password:</label>		
	<div class="col-md-7">
	<input type="password" name="smtpPassword" id="smtpPassword" class="form-control" value="<%= request.getAttribute("smtpPassword") == null ? "" : request.getAttribute("smtpPassword") %>" />
	<small>Password for your SMTP server</small>
	</div>
</div>


<div class="form-group">
	<label class="col-sm-5 control-label" for="useWebSmtp">Use HTTPS upon failure</label> 
	<div class="col-sm-7"> 
		<label for="useWebSmtp"><input type="checkbox" name="useWebSmtp" value="true" id="useWebSmtp" class="inputCheckbox" <%= request.getAttribute("useWebSmtp") == null ? "" : request.getAttribute("useWebSmtp") %> /></label>
		<small>Route emails through an HTTPS server if SMTP does not work. <a href="http://web.synametrics.com/WebSmtp.htm" target="_blank">Details...</a></small>
	</div>
</div>


<h2 class="underline-title no-margin-top">Secure connection</h2> 
<div class="form-group">
	<div class="col-sm-offset-5 col-sm-7">
		<label for="secureSmtp" class="radio radio-inline"><input type="radio" title="Generated emails will be sent in plain text" name="smtpSecurity" id="radioNone" value="None" <%= request.getAttribute("smtpSecurity") == null || request.getAttribute("smtpSecurity").equals("None") ? "checked='checked'" : "" %>/> None</label>    
		<label for="secureSmtp" class="radio radio-inline"><input type="radio" title="Generated email will use STARTTLS extension for authentication." name="smtpSecurity" id="radioTLS" value="TLS" <%= request.getAttribute("smtpSecurity") != null && request.getAttribute("smtpSecurity").equals("TLS") ? "checked='checked'" : "" %>/> TLS</label>
		<label for="secureSmtp" class="radio radio-inline"><input type="radio" title="Generated email will use SSL for connection. You should also modify the port to 465 if you change this value." name="smtpSecurity" id="radioSSL" value="SSL" <%= request.getAttribute("smtpSecurity") != null && request.getAttribute("smtpSecurity").equals("SSL") ? "checked='checked'" : "" %> /> SSL</label>
	</div>
</div>






<div class="form-group">
	<div class="col-sm-offset-0 col-sm-12">
		<button type="submit" name="proceedButton" id="proceedButton" class="btn btn-primary">Save</button>
	</div>
</div> 

<input type="hidden" name="operation" value="config" />
<input type="hidden" name="st" value="saveSmtp" />
</form>


<a href="<%=response.encodeURL("app?operation=config&st=testsmtp") %>" title="Send a test email. Save settings before clicking here."	onclick="return hs.htmlExpand(this, { objectType: 'iframe'})">Click here </a> to send a test message. Save settings before testing. 


  
  




