
<h2 class="underline-title">Tips on creating a new trigger</h2>
	<div class="well well-sm">Several questions are asked when creating a trigger. The following table describe what each field and its purpose.</div>
	
	<blockquote>
		<h4>Friendly Name:</h4>
		This is a name you assign to the trigger.
	</blockquote>
	
	<blockquote>
		<h4>Executable path:</h4>
		This refers to the absolute path for the executable that you want to execute. <b>Example:</b> C:\F1\P1.exe
	</blockquote>
	
	<blockquote>
		<h4>Parameters:</h4>
		Command line arguments that are passed to your executable at runtime. This field accepts the following variable separated by a comma.
		<ul class="choices">
			<li><b>$FILE_NAME</b> File name that is touched</li>
			<li><b>$CLIENT_IP</b> IP Address of the client</li>
			<li><b>$USER_ID</b> User's login ID</li>
		</ul>
		<b>Example:</b> $FILE_NAME, $CLIENT_IP, $USER_ID<br> At runtime, SynaMan will run the following command:<br>
		<code>
			C:\F1\P1.exe PurchaseOrder.pdf 18.150.14.4 someone@xyz.com
		</code>
	</blockquote>
	
	<blockquote>
		<h4>Trigger criteria - File path:</h4>
		Refers to the folder path where the file exists. For example: <b>C:\PO\uploads</b>. If MUST be the absolute path on the machine. Specify <b>$ANY_PATH$</b>
		to invoke this trigger regardless of the path. This field cannot be left blank.   
	</blockquote>
	
	<blockquote>
		<h4>Trigger criteria - File name:</h4>
		Refers to the name of the file that is touched before a trigger is executed. For example: <b>PurchaseOrder.pdf</b>. Specify <b>$ANY_FILE_NAME$</b>
		to invoke this trigger regardless of the file name. This field cannot be left blank.   
	</blockquote>
	
	<blockquote>
		<h4>Trigger criteria - User login:</h4>
		Refers to the login ID/email address of the user. For example: <b>someone@xyz.com</b>. Specify <b>$ANY_USER$</b>
		to invoke this trigger regardless of the file name. This field cannot be left blank.   
	</blockquote>
	
	
	<blockquote>
		<h4>Trigger criteria - Event type:</h4>
		The type of event that will trigger this rule. You can check one or more rules. If none of the check box is selected, this trigger will be disabled.   
	</blockquote>
<div class="well">
<h4>An Example</h4>You need to execute<br><b>C:\F1\P1.exe</b><br>whenever someone uploads a file called <b>PurchaseOrder.pdf</b> 
</div>